/* 
Old Glory Blue
#002147

StDep Blue
#0A314D

Old Glory Red
#BB133E

*/

:root{
    --MainColor: #002147;
    --SecondaryColor: #FFFFFF;
    --ItemBackground: rgba(255,255,255,0.5);
    --None: rgba(0,0,0,0);
}

* {
  box-sizing: border-box;
}

img {
 max-width: 95%;
 max-height: 95%;
 border-style: solid;
 border-width: 2px;
 border-color: var(--SecondaryColor);
 box-shadow: 0 0 24px var(--SecondaryColor);
}

img .px564{
 max-width: 564px;
}

embed {
 width: 95%;
 height: 95%;
 border-style: solid;
 border-width: 2px;
 border-color: var(--SecondaryColor);
 box-shadow: 0 0 24px var(--SecondaryColor);
}

#gameContainer{
 max-width: 90%;
 max-height: 100%;
 left: 5%;
 border-style: solid;
 border-width: 2px;
 border-color: var(--SecondaryColor);
 box-shadow: 0 0 24px var(--SecondaryColor);
}

#gameContainer canvas{
 width: 100%;
 height: 100%;
}

body{
 margin: 0;
 padding: 0;
 background-color: var(--MainColor);
}
header{
 /* background-image: url("SciFiGridMagentaVert.png");*/
 border-style: solid solid none solid;
 border-color: var(--SecondaryColor);
 border-width: 16px;
 padding: 50px 0px 0px 8px;
    box-shadow: inset 0 0 16px var(--SecondaryColor);
}

header a {
 text-decoration: none;
 display: inline;
}

header a h1 {
 letter-spacing: 3px;
 font-family: 'Tomorrow', sans-serif;
 color: var(--SecondaryColor);
 font-size: 48px;
 margin: 0px;
 display: inline;
}

nav {
 margin: 0;
 display: inline;
}
nav ul{
 margin: 0;
 padding-left: 10px;
 display: inline;
}

nav ul li {
 display: inline-block;
 list-style-type: none;
 margin: 0px 0px 0px 0px;
}

nav ul li a {
 display: inline-block;
 background: var(--ItemBackground);
 border-radius: 10px 10px 0 0;
 border-style: double;
 border-color: var(--SecondaryColor);
 border-width: 6px;
 
 padding: 5px 15px;
 
 letter-spacing: 3px;
 font-family: 'Tomorrow', sans-serif;
 color: var(--SecondaryColor);
 text-decoration: none;
}

.content { 
 /*background-image: url("SciFiGridBlue.png");*/
 background-color: var(--MainColor);
 border-style: solid solid solid solid;
 border-color: var(--SecondaryColor);
 border-width: 16px;
 margin: 0;
 padding: 0 0 8px 0;
    box-shadow: inset 0 0 16px var(--SecondaryColor);
 
 font-size: 24px;
 text-align: center;
 letter-spacing: 3px;
 font-family: 'Tomorrow', sans-serif;
 color: var(--SecondaryColor);
}

.row{
 display: flex;
 flex-wrap: nowrap;
 background: var(--None);
}

.row .col4{
 background: var(--ItemBackground);
 border-style: double;
 border-color: var(--SecondaryColor);
 border-width: 16px;

 margin: 1%;
 padding: 1%;
 width: 25%;
 border-radius: 8px 72px;
}

.row .col3{
 background: var(--ItemBackground);
 border-style: double;
 border-color: var(--SecondaryColor);
 border-width: 16px;

 margin: 1%;
 padding: 1%;
 width: 33.33%;
 border-radius: 8px 72px;
}

.row .col2{
 background: var(--ItemBackground);
 border-style: double;
 border-color: var(--SecondaryColor);
 border-width: 16px;

 margin: 1%;
 padding: 1%;
 width: 50%;
 border-radius: 8px 72px;
}

.row .col1{
 background: var(--ItemBackground);
 border-style: double;
 border-color: var(--SecondaryColor);
 border-width: 16px;

 margin: 1%;
 padding: 1%;
 width: 100%;
 border-radius: 48px 8px;
}

.row .col23{
 background: var(--ItemBackground);
 border-style: double;
 border-color: var(--SecondaryColor);
 border-width: 16px;

 margin: 1%;
 padding: 1%;
 width: 66.66%;
 border-radius: 8px 72px;
}

.row .col34{
 background: var(--ItemBackground);
 border-style: double;
 border-color: var(--SecondaryColor);
 border-width: 16px;

 margin: 1%;
 padding: 1%;
 width: 75%;
 border-radius: 8px 72px;
}
/* ----- Link ----- */
body div div a{
 font-size:16px;
 text-decoration: none;
 font-family: 'Tomorrow', sans-serif;
 color: var(--SecondaryColor);
}
/*-------------------- footer ----------------------*/
footer {
 clear: both;
 bottom: 0px;
 left: 0px;
 right: 0px;
 padding: 8px;
 background: var(--MainColor);
    border-style: none solid solid solid;
    border-width: 16px 16px 16px 16px;
    border-color: var(--SecondaryColor);
    box-shadow: inset 0 0 16px var(--SecondaryColor);

 font-family: 'Tomorrow', sans-serif;
 color: var(--SecondaryColor);
 
 display: flex;
 align-items: center;
 overflow: auto;
}
footer div {
 flex: 1;
 text-align: center;
 margin: 5px;
 height: 100%;
}
.footerLogo {
 border-style: solid;
 border-width: 2px;
 border-color: var(--SecondaryColor);
 box-shadow: 0 0 5px var(--SecondaryColor);
}
.footerCopyright {
 text-align: center;
}
footer ul{
 margin: 0;
 padding-left: 10px;
 display: inline;
}
footer ul li {
 display: inline-block;
 list-style-type: none;
 margin: 0px 0px 0px 0px;
}
footer ul li a {
 display: inline-block;
 
 padding: 5px 5px;
 
 letter-spacing: 3px;
 font-family: 'Tomorrow', sans-serif;
 color: var(--SecondaryColor);
}
.footerMenu { 
    padding: 16px 0;
    /* background: rgba(255,106,0,0.5);*/
    border-style: solid;
    border-color: var(--SecondaryColor);
    border-width: calc(16px / 3);
    border-radius: 48px 8px;
  }
.Link{
 font-family: 'Tomorrow', sans-serif;
 color: var(--SecondaryColor);
}
.PrivacyPolicy{
    border-radius: 16px; 
    background: var(--ItemBackground);
    display: block;
    margin: 5px;
    
    letter-spacing: 3px; 
    color: var(--SecondaryColor); 
    font-size: 36px;
    text-decoration:none; 
    font-weight:bold;
}

/* --------------------- Smaller Screen Sizes ------------------------*/
@media only screen and (max-width: 1399px) {
  img .px564 {
   max-width: 95%;
   max-height: 95%;
  }
  .row .col4 { 
    border-radius: 8px 48px;
  }
  .row .col3 { 
    border-radius: 8px 48px;
  }
  .row .col2 { 
    border-radius: 8px 48px;
  }
  .row .col23 { 
    border-radius: 8px 48px;
  }
  .row .col34 { 
    border-radius: 8px 48px;
  }
}
@media only screen and (max-width: 1544px) {
  header a {
   display: block;
   padding: 0 0 8px 0;
  }
  nav ul{
   padding-left: 0px;
  }
}
@media only screen and (max-width: 998px) {
 nav ul li a {
  border-radius: 10px;
  margin: 0px 0px 5px 0px;
 }
 iframe{
   width: 448px;
   height: 252px;
 }
}
@media only screen and (max-width: 850px) {
 embed {
  margin: 24px 0;
 }
  .row { 
    display: block;
    width: 100%;
    /*
    border-style: double;
    border-color: var(--SecondaryColor);
    border-width: 16px;
    border-radius: 16px 64px;
    padding: 1%;
    margin: 5% 0%;
    */
  }
  .row > * {
    display: block;
  }
  .row .col4 { 
    margin: 2%;
    width: 96%;
    border-radius: 48px 8px;
  }
  .row .col3 { 
    margin: 2%;
    width: 96%;
    border-radius: 48px 8px;
  }
  .row .col2 { 
    margin: 2%;
    width: 96%;
    border-radius: 48px 8px;
  }.row .col1 { 
    margin: 2%;
    width: 96%;
    border-radius: 48px 8px;
  }
  .row .col23 { 
    margin: 2%;
    width: 96%;
    border-radius: 48px 8px;
  }
  .row .col34 { 
    margin: 2%;
    width: 96%;
    border-radius: 48px 8px;
  }
}
/*------ Mobile --------*/
@media (hover: none) {
 embed {
  margin: 24px 0;
 }
  .row { 
    display: block;
    width: 100%;
    border-style: double;
    border-color: var(--SecondaryColor);
    border-width: 16px;
    border-radius: 16px 64px;
    padding: 1%;
    margin: 5% 0%;
  }
  .row .col4 { 
    margin: 2%;
    width: 96%;
    border-radius: 48px 8px;
  }
  .row .col3 { 
    margin: 2%;
    width: 96%;
    border-radius: 48px 8px;
  }
  .row .col2 { 
    margin: 2%;
    width: 96%;
    border-radius: 48px 8px;
  }.row .col1 { 
    margin: 2%;
    width: 96%;
    border-radius: 48px 8px;
  }
  .row .col23 { 
    margin: 2%;
    width: 96%;
    border-radius: 48px 8px;
  }
  .row .col34 { 
    margin: 2%;
    width: 96%;
    border-radius: 48px 8px;
  }
}
@media only screen and (max-width: 634px) {
 iframe{
   width: 280px;
   height: 157px;
 }
}

/* ---------------- Special Effects -------------------- */
/*Iframe Border*/
iframe{
    border-style: solid;
    border-width: 2px;
    border-color: var(--SecondaryColor);
    box-shadow: 0 0 24px var(--SecondaryColor);
}
/* ------ ScrollBar -------- */
::-webkit-scrollbar {
    background: var(--MainColor);
    width: 17px;
}
::-webkit-scrollbar-track {
    background: var(--MainColor);
    /* border-radius: 10px; */
    border-style: solid;
    border-width: 2px;
    border-color: var(--SecondaryColor);
    box-shadow: inset 0 0 5px var(--SecondaryColor);
}
::-webkit-scrollbar-thumb {
    width: 13px;
    background: var(--ItemBackground);
    /* border-radius: 10px; */
    border-style: solid;
    border-width: 2px;
    border-color: var(--SecondaryColor);
}
::-webkit-scrollbar-thumb:hover {
  box-shadow: inset 0 0 5px var(--SecondaryColor);
}
::-webkit-scrollbar-button
{
    background-color: var(--MainColor);
    border-style: solid;
    border-width: 2px;
    border-color: var(--SecondaryColor);
    box-shadow: inset 0 0 5px var(--SecondaryColor);
}
/* Up */
::-webkit-scrollbar-button:vertical:decrement{
 background-image: url("ArrowUp.png");
}
/* Down */
::-webkit-scrollbar-button:vertical:increment{
 background-image: url("ArrowDown.png");
}
/* Left */
::-webkit-scrollbar-button:horizontal:decrement{
 background-image: url("ArrowLeft.png");
}
/* Right */
::-webkit-scrollbar-button:horizontal:increment{
 background-image: url("ArrowRight.png");
}
::-webkit-scrollbar-corner{
    background-color: var(--MainColor);
    border-radius: 0px 0px 10px 0px;
    border-style: solid;
    border-width: 2px;
    border-color: var(--SecondaryColor);
    box-shadow: inset 0 0 5px var(--SecondaryColor);
}
/* ------ ScrollBar For FireFox -------- */
html{
  scrollbar-color: var(--SecondaryColor) var(--MainColor);
}

/* ----- Menu Tab Hover ----- */
 nav ul li a:hover {
  background: var(--ItemBackground);
  box-shadow: 0 0 12px var(--SecondaryColor), 0 0 12px var(--SecondaryColor);
 }
/* ----- Pannel Hover ----- */
/* footer:hover { 
    box-shadow: inset 0 0 5px grey, 0 0 36px rgb(103,255,255);
  } */
.row .col4:hover { 
    box-shadow: 0 0 36px var(--SecondaryColor);
  }
  .row .col3:hover { 
    box-shadow: 0 0 36px var(--SecondaryColor);
  }
  .row .col2:hover { 
    box-shadow: 0 0 36px var(--SecondaryColor);
  }
  .row .col1:hover { 
    box-shadow: 0 0 36px var(--SecondaryColor);
  }
  .row .col23:hover { 
    box-shadow: 0 0 36px var(--SecondaryColor);
  }
  .row .col34:hover { 
    box-shadow: 0 0 36px var(--SecondaryColor);
  }
/* ----- Link Hover ----- */
body div div a:hover{
 font-weight: bold;
}
body div div a img:hover{
 box-shadow: 0 0 24px var(--SecondaryColor), 0 0 24px var(--SecondaryColor);
}
/* ----- Footer Hover ----- */
.PrivacyPolicy:hover{
    background: var(--ItemBackground);
    box-shadow: 0 0 12px var(--SecondaryColor), 0 0 12px var(--SecondaryColor);
}
/*----------Text Selection -----------*/

::selection {
  color: var(--SecondaryColor);
  background: #0000FF;
  text-shadow: 0 0 4px var(--SecondaryColor);
}
nav ul::selection  {
  color: var(--SecondaryColor);
  background: rgba(0,0,255,0.85);
}
nav ul li a::selection  {
  color: var(--SecondaryColor);
  background: rgba(0,0,255,0.85);
  text-shadow: 0 0 3px var(--SecondaryColor);
}
img::selection  {
  background: var(--ItemBackground);
}
footer div p::selection {
  color: var(--SecondaryColor);
  background: rgba(0,0,255,0.85);
  text-shadow: 0 0 3px var(--SecondaryColor);
}
footer div p a::selection {
  color: var(--SecondaryColor);
  background: rgba(0,0,255,0.85);
  text-shadow: 0 0 3px var(--SecondaryColor);
}
footer div ul li a::selection {
  color: var(--SecondaryColor);
  background: rgba(0,0,255,0.85);
  text-shadow: 0 0 3px var(--SecondaryColor);
}
/*---------- Footer ----------*/
.LinkImg{
 box-shadow: none;
 border: none;
}
.LinkImg:hover {
 border-radius: 5%;
 background: rgba(255,255,255,0.35);
 box-shadow: 0 0 12px var(--SecondaryColor);
}
.Round:hover {
 border-radius: 50%;
}
footer ul li a:hover {
 font-weight: bold;
 text-shadow: 0 0 2px var(--SecondaryColor);
}
.Link:hover {
 font-weight: bold;
 text-shadow: 0 0 2px var(--SecondaryColor);
}
/* ------ TextGlowAnimation -------- */
.glow {
  -webkit-animation: glow 0.75s ease-in-out infinite alternate;
  -moz-animation: glow 0.75s ease-in-out infinite alternate;
  animation: glow 0.75s ease-in-out infinite alternate;
}

@-webkit-keyframes glow {
  from {
    text-shadow: 0 0 2px rgb(143,143,143), 0 0 4px rgb(159,159,159), 0 0 6px rgb(175,175,175), 0 0 8px rgb(191,191,191), 0 0 10px rgb(207,207,207), 0 0 12px rgb(223,223,223), 0 0 14px rgb(239,239,239);
  }
  
  to {
    text-shadow: 0 0 4px rgb(159,159,159), 0 0 6px rgb(175,175,175), 0 0 8px rgb(191,191,191), 0 0 10px rgb(207,207,207), 0 0 12px rgb(223,223,223), 0 0 14px rgb(239,239,239), 0 0 16px rgb(255,255,255);
  }
}
/*------------- Animation Blocks Anything Below This Point -----------------------*/
